MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028841Open CASCADE[OCCT] OCCT:Testspublic2017-06-14 11:042017-09-29 16:28
Reporterbugmaster 
Assigned Toapv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028841: testdiff DRAW command hangs or crash with arithmetical exception
Descriptiontestdiff DRAW command hangs or crash with arithmetical exception if log file in reference data contains string "MEMORY DELTA: 0 KiB"
Steps To ReproduceTry to make compare on attached test log files :
testdiff comdata refdata
Problem reproduced both Linux and Windows platform.
See attached picture of debugging on Windows
TagsNo tags attached.
Test case numberNot needed
Attached Filestgz file icon check_compare.tgz (927,943 bytes) 2017-06-14 11:05
png file icon DividedByZero.png (6,497 bytes) 2017-06-14 11:05

- Relationships

-  Notes
(0067520)
git (administrator)
2017-06-19 16:38

Branch CR28841 has been created by apv.

SHA-1: 6ae0790866097d6cb762e6dc6c05e7f46f9717ad


Detailed log of new commits:

Author: apv
Date: Mon Jun 19 16:37:39 2017 +0300

    0028841: testdiff DRAW command hangs or crash with arithmetical exception
(0067521)
apv (tester)
2017-06-19 16:38

Please review and integrate.
(0067891)
git (administrator)
2017-07-03 08:45

Branch CR28841 has been deleted by kgv.

SHA-1: 6ae0790866097d6cb762e6dc6c05e7f46f9717ad

- Related Changesets
occt: master 6ae07908
Timestamp: 2017-06-19 13:37:39
Author: apv
Details ] Diff ]
0028841: testdiff DRAW command hangs or crash with arithmetical exception
mod - src/DrawResources/TestCommands.tcl Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-06-14 11:04 bugmaster New Issue
2017-06-14 11:04 bugmaster Assigned To => apn
2017-06-14 11:05 bugmaster File Added: check_compare.tgz
2017-06-14 11:05 bugmaster File Added: DividedByZero.png
2017-06-15 09:55 bugmaster Assigned To apn => abv
2017-06-19 16:36 apv Test case number => Not needed
2017-06-19 16:38 git Note Added: 0067520
2017-06-19 16:38 apv Note Added: 0067521
2017-06-19 16:38 apv Assigned To abv => bugmaster
2017-06-19 16:38 apv Status new => resolved
2017-06-19 16:50 apv Changeset attached => occt master 6ae07908
2017-06-19 16:50 apv Assigned To bugmaster => apv
2017-06-19 16:50 apv Status resolved => verified
2017-06-19 16:50 apv Resolution open => fixed
2017-07-03 08:45 git Note Added: 0067891
2017-09-29 16:18 user533 Fixed in Version => 7.2.0
2017-09-29 16:28 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker